> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an Incoming ACH



## OpenAPI

````yaml api-reference/openapi-payments.json GET /incoming_ach/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /incoming_ach/{id}:
    get:
      tags:
        - Incoming ACH
      summary: Fetch an Incoming ACH
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_11jbx6ve3c8an
                    account_number: '1371971315'
                    account_type: checking
                    amount: '100.00'
                    bank_id: bank_treasuryprime
                    company_desc: null
                    company_id: '000000000'
                    company_name: Prime of Treasury Inc.
                    created_at: '2023-08-15T14:47:35Z'
                    description: null
                    direction: credit
                    effective_date: '2023-08-15'
                    id: inach_11jdq4073ea9k
                    nacha_body:
                      batches:
                        - _mac: ''
                          batch_number: 1
                          company:
                            id: '823419438'
                            name: Example Corp
                          description: LOREM IPSUM
                          descriptive_date: ''
                          discretionary_data: ''
                          effective_date: '2021-04-14T00:00:00Z'
                          entries:
                            - addenda: []
                              amount: 25
                              direction: credit
                              discretionary_data: ''
                              id_number: 11gap2hytfy17a
                              receiver:
                                account_number: '123456798'
                                account_type: checking
                                name: George Washington
                                routing_number: '017014038'
                              trace_number: '24015053925610'
                              transaction_type: payment
                          odfi_id: '02806504'
                          originator_status_code: dfi
                          sec_code: ppd
                          settlement_date: '167'
                      created_at: '2021-04-12T11:25:00.000Z'
                      destination:
                        id: ' 074000022'
                        name: EXAMPLE BANK NON CO
                      file_id: K
                      origin:
                        id: ' 075000051'
                        name: M&I
                      reference_code: ''
                    name: null
                    org_id: org_1h648t6pkmg
                    original_transaction_id: null
                    related_transaction_ids: []
                    sec_code: ccd
                    status: done
                    trace_number: '1692110855251'
                    transaction_code: null
                    updated_at: '2023-08-15T14:47:35Z'
              schema:
                properties:
                  account_id:
                    description: ID of the Account receiving the transfer. Filterable.
                    type: string
                  account_number:
                    description: Receiving bank account number. Filterable.
                    type: string
                  account_type:
                    description: >-
                      The type of the receiving account, such as `checking` or
                      `savings`
                    type: string
                  amount:
                    description: Amount of money transferred, with two decimal precision
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  bank_id:
                    description: ID of the bank with which the account is associated
                    type: string
                  company_desc:
                    description: >-
                      10-character field that can be used by the originator to
                      describe the payment
                    type: string
                  company_id:
                    description: >-
                      Code that the originating bank uses to identify the
                      originator
                    type: string
                  company_name:
                    description: Name of the company initiating the incoming ACH
                    type: string
                  description:
                    description: >-
                      Description that appears on the transaction record
                      associated with the incoming ACH object
                    type: string
                  direction:
                    description: >-
                      Direction of funds flow. One of `credit` (money deposited
                      into this account), or `debit` (money withdrawn from this
                      account)
                    type: string
                  effective_date:
                    description: >-
                      The official effective date of the transaction, according
                      to the ACH network
                    type: string
                  exception_type:
                    description: The exception that caused this ACH to be returned
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  nacha_body:
                    description: Data from the relevant NACHA file about the incoming ACH
                    properties:
                      batches:
                        items:
                          type: object
                        type: array
                      destination:
                        type: object
                      file_id:
                        type: string
                      origin:
                        type: object
                      reference_code:
                        type: string
                    type: object
                  name:
                    description: The name of the receiver as obtained from the incoming ACH
                    type: string
                  org_id:
                    description: ID of the organization with which the object is associated
                    type: string
                  original_transaction_id:
                    description: >-
                      ID of the transaction that the incoming ACH is directly
                      related to. Filterable.
                    type: string
                  related_transaction_ids:
                    description: >-
                      List of all transaction IDs associated with the incoming
                      ACH
                    items:
                      type: string
                    type: array
                  sec_code:
                    description: >-
                      One of `arc`, `ccd`, `cie`, `cor`, `ctx`, `dne`, `iat`,
                      `pos`, `ppd`, `tel`, or `web`. Specifies the transfer
                      type, according to the ACH network
                    type: string
                  status:
                    description: >-
                      One of `done`, `failed`, `pending`, or `returned`.
                      Filterable.
                    type: string
                  trace_number:
                    description: Internal identifier used by the originating bank
                    type: string
                  transaction_code:
                    description: Transaction code for this entry in the NACHA file
                    type: string
          description: The incoming_ach
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````